What to send

SecondAnswer The second step given: the app's six digits, or a security key's answer.

code
string or null
key
PasskeyAnswer or null
token
stringneeded

The answer

Status 200

OAuthGo Where the browser goes next.

to
stringneeded

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/auth/second \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"token": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/auth/second", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"token": "…"}),
}).then((r) => r.json());